POST v1/auth/refresh
Request Information
URI Parameters
None.
Body Parameters
AuthTokenPostDto| Name | Description | Type | Additional information |
|---|---|---|---|
| UserId | string |
None. |
|
| AccessToken | string |
None. |
|
| RefreshToken | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"userId": "sample string 1",
"accessToken": "sample string 2",
"refreshToken": "sample string 3"
}
application/xml, text/xml
Sample:
<AuthTokenPostDto xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/OrionDAL.ApiModels.Version1"> <AccessToken>sample string 2</AccessToken> <RefreshToken>sample string 3</RefreshToken> <UserId>sample string 1</UserId> </AuthTokenPostDto>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
ApiResponseNewOfAuthTokenResponseDto| Name | Description | Type | Additional information |
|---|---|---|---|
| status | integer |
None. |
|
| message | string |
None. |
|
| data | AuthTokenResponseDto |
None. |
Response Formats
application/json, text/json
Sample:
{
"status": 1,
"message": "sample string 2",
"data": {
"accessToken": "sample string 1",
"refreshToken": "sample string 2"
}
}
application/xml, text/xml
Sample:
<ApiResponseNewOfAuthTokenResponseDtoqfWPY2Au xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/OrionDAL.ApiModels.Version1">
<data>
<AccessToken>sample string 1</AccessToken>
<RefreshToken>sample string 2</RefreshToken>
</data>
<message>sample string 2</message>
<status>1</status>
</ApiResponseNewOfAuthTokenResponseDtoqfWPY2Au>